### Method

# GObject Object thaw_notify

#### Declaration

    void
    g_object_thaw_notify (
      GObject* object
    )

#### Description

Reverts the effect of a previous call to g_object_freeze_notify(). The freeze count is decreased on `object` and when it reaches zero, queued “notify” signals are emitted.

Duplicate notifications for each property are squashed so that at most one `GObject::notify` signal is emitted for each property, in the reverse order in which they have been queued.

It is an error to call this function when the freeze count is zero.